AMULEWEB(1)

NOMBRE
imuleweb - servidor web de iMule

SYNOPSIS
imuleweb [-h <host>] [-p <puerto>] [-P <contrase�a>] [-f <localizaci�n>] [-l <lenguaje>] [-q] [-v] [-w] [-t <nombre>] [-s <puerto>] [-z] [-Z] [-A <contrase�a>] [-G <contrase�a>] [-a] [-d] [-L]

imuleweb [-f <localizaci�n>] --create-config-from=<localizaci�n>

imuleweb [--help] [--version]

imuleweb--imule-config-file=<localizaci�n>

DESCRIPCI�N
imuleweb permite administrar iMule a trav�s de un navegador. Se puede iniciar imuleweb junto con imule(1), por separado, o en cualquier momento. Sus opciones se pueden especificar por linea de comandos o mediante su archivo de configuraci�n. Las opciones pasadas a trav�s de la linea de comandos tienen prioridad sobre las indicadas en el archivo de configuraci�n.

-h, --host=<host>
    Host donde iMule esta siendo ejecutado (por defecto: localhost). <host> puede ser una IP o una direcci�n DNS.

-p, --port=<puerto>
    El puerto abierto en iMule's para conexiones de External Connections. Puede consultarlo en Preferencias->Controles Remotos (por defecto: 4712)

-P, --password=<contrase�a>
    Constrase�a para External Connections

-f, --config-file=<localizaci�n>
    Usar el arhivo de configuraci�n indicado. Por defecto, ~/.iMule/remote.conf

-l, --locale=<lang>
    Establece el lenguaje del programa. Ver la secci�n NOTAS para la descripci�n del par�metro <lenguaje>.

-q, --quiet
    No mostrar nada en la consola. Probablemente interese tambi�n el par�metro -q para ejecutar esta aplicaci�n como demonio, Por ejemplo: 'imuleweb -q &'

-v, --verbose
    Mostrar informaci�n adicional - mostrar tambi�n informaci�n para depuraci�n.

-w, --write-config
    Crear el archivo de configuraci�n y salir.

--create-config-from=<localizaci�n>
    Crear el archivo de configuraci�n bas�ndose en <localizaci�n> y salir. <localizaci�n> debe ser un archivo de configuraci�n de iMule.

-t, --template=<nombre>
    Cargar la piel <nombre>. Ver la secci�n PIELES

-s, --server-port=<puerto>
    El puerto HTTP del servidor web. Este es el puerto al que debe direccionar su navegador web (por defecto: 4711)

-z, --enable-gzip
    Emplear compresi�n gzip en las transferencias HTTP para reducir el ancho de banda usado.

-Z, --disable-gzip
    Deshabilitar la compresi�n gzip en las transferencias HTTP (esta es la opci�n por defecto)

-A, --admin-pass=<contrase�a>
    Definir la contrase�a de acceso total al servidor web.

-G, --guest-pass=<contrase�a>
    Definir la contrase�a de acceso al servidor web en modo "invitado".

-a, --allow-guest
    Permitir accesos al servidor web en modo "invitado".

-d, --deny-guest
    Denegar accesos al servidor web en modo "invitado" (esta es la opci�n por defecto)

-L, --load-settings
    Cargar/guardar la configuraci�n de control remoto de iMule de/a la configuraci�n de iMule. Esto hace que imuleweb ignore las par�metros que se le pasen y el archivo de configuraci�n, en beneficio de lo que figura en la configuraci�n de iMule. Al guardar las preferencias, ninguna se guardar� en el archivo de configuraci�on del programa, sino en el de iMule. (Por supuesto, esto solo es v�lido para aquellas preferencias que pueden ser definidas desde Preferencias->Controles Remotos)

--imule-config-file=<localizaci�n>
    Localizaci�n del archivo de configuraci�n de iMule. NO USAR DIRECTAMENTE! iMule usa esta opci�n cuando se le pide ejecutar amuelweb al iniciarse. Esto hace que imuleweb ignore las par�metros que se le pasen y el archivo de configuraci�n, las preferencias se leer�n del archivo de configuracin especificado, e implica tambi�n las opciones -q -L.

--help
    Mostrar informaci�n del modo de empleo y salir.

--version
    Mostrar la versi�n del programa y salir.

NOTAS

  Localizaciones
Para todas las opciones que reuieran un par�metro <localizaci�n>, si la localizaci�n no contiene el nombre de ningun directorio (por ejemplo, si es simplemente el nombre de un archivo), entonces se tomar� como directorio contenedor de ese archivo el directorio de configuraci�n de iMule, ~/.iMule.

  Lenguajes
El par�metro <lenguaje> para la opci�n -l tiene el siguiente formato: lenguaje[_LENGUAJE][.codificaci�n][@modificador] donde lenguaje es el lenguaje principal, LENGUAJE es el sublenguaje/territorio, codificaci�n es el conjunto de caracteres a usar y modificador "permite al usuario seleccionar una instancia espec�fica de los datos ed localizaci�n dentro de una sola categor�a".

Por ejemplo, los siguientes ejemplos son v�lidos:
fr
fr_FR
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

A pesar de que todos los ejemplos anteriores son v�lidos como definiciones de lenguajes, codificaci�n y modificador siguen sin ser usados.

Adem�s de lo especificado en el formato anterior, tambien puede especificar el nombre completo de un lenguaje en ingl�s - as� pues, -l german tambi�n es v�lido y es equivalente a -l de_DE.

Si no se define ning�n lenguaje, ni en los par�metros del programa ni en el archivo de configuraci�n, se usar� el predeterminado del sistema.

PIELES
imuleweb soporta diferentes pieles (aspectos de la interfaz). Puede especificar que piel debe usar imuleweb mediante la opci�n -t en la linea de comandos. Los templates se buscan de dos lugares: primero en ~/.iMule/webserver/ y, en caso de no encontrarlo, en $(pkgdatadir)/webserver/ ($(pkgdatadir) es el directorio donde se encuentran los datos independientes de la plataforma en su sistema, normalmente algo parecido a /usr/share/imule). Cada piel debe encontrase en un directorio con el nombre de la piel y este directorio debe contener todos los archivos que esta piel necesite. El archivo indice de la piel debe llamarse iMule.tmpl.

Por ejemplo, la piel por defecto (llamada 'default') se encuentra en webserver/default/, y este directorio contiene iMule.tmpl entre otros muchos archivos.

ARCHIVOS
~/.iMule/remote.conf
~/.iMule/webserver/
$(pkgdatadir)/webserver/

EJEMPLO
Normalmente la primera ejecuci�n de imuleweb se hace de la siguiente manera:

imuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

o

imuleweb --create-config-from=/home/username/.iMule/imule.conf

Esto salva su configuraci�n en $HOME/.iMule/remote.conf, de manera que en sucesivas ejecuciones bastar� con:

imuleweb

Of course, you may specify any more or less options on the first example line, and you may also totally omit it.

BUGS
Si descubre bugs, por favor comun�quelos en (http://forum.imule.org/), o en nuestro bugtracker (http://bugs.imule.org/). Por favor, no comunique bugs por e-mail, ni a nuestro maillist ni directamente a ning�n miembro del equipo de iMule.

COPYRIGHT
iMule, y todas las utilidades que con el vienen, se distribuyen bajo la licencia GPL.

VER
imule(1), imulecmd(1)